17.10 - Required Privileges - Advanced SQL Engine - Teradata Database

Teradata Vantage™ - Temporal Table Support

Product
Advanced SQL Engine
Teradata Database
Release Number
17.10
Release Date
July 2021
Content Type
Programming Reference
Publication ID
B035-1182-171K
Language
English (United States)

The following privileges are required in addition to those privileges required for a conventional UPDATE statement:

  • If the UPDATE statement specifies the NONTEMPORAL qualifier, the NONTEMPORAL privilege is also required on the temporal table.
  • For a current or sequenced update to a table with valid time, the UPDATE privilege is required on the valid-time column of the table.